Package ru.bitel.bgbilling.kernel.tariff.option.server.event

# Class ContractTariffOptionChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.tariff.option.server.event.ContractTariffOptionChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ContractTariffOptionChangedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Событие-топик, оповещающее всех, что набор тарифных опций на договоре изменился.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `OPTION_ACTIVATED`
  `static final int`
  `OPTION_DEACTIVATED`
  `static final int`
  `OPTION_DELETED`
  `static final int`
  `OPTION_REACTIVATED`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractTariffOptionChangedEvent()`
  ``
  `ContractTariffOptionChangedEvent(int contractId, int userId, int state, ContractTariffOption contractTariffOption)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariffOption`
  `getContractTariffOption()`
  `int`
  `getState()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPTION_ACTIVATED

    public static final int OPTION_ACTIVATED
    See Also:
      - Constant Field Values

  - ### OPTION_DEACTIVATED

    public static final int OPTION_DEACTIVATED
    See Also:
      - Constant Field Values

  - ### OPTION_REACTIVATED

    public static final int OPTION_REACTIVATED
    See Also:
      - Constant Field Values

  - ### OPTION_DELETED

    public static final int OPTION_DELETED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractTariffOptionChangedEvent

    protected ContractTariffOptionChangedEvent()

  - ### ContractTariffOptionChangedEvent

    public ContractTariffOptionChangedEvent(int contractId, int userId, int state, ContractTariffOption contractTariffOption)

- ## Method Details

  - ### getState

    public int getState()

  - ### getContractTariffOption

    public ContractTariffOption getContractTariffOption()